Description

Steps in order to reproduce this bug:

    -  create a view and set its CRS as EPSG:3857;
    -  add an OSM layer (e.g. Mapnik) to the view;
    -  add the TM_WORLD_BORDERS-0.2.shp layer [1].

Result: a "Can't operate over point orig" error occurs

Instead, if I clip the layer on a little small extent:

ogr2ogr TM_WORLD_BORDERS-0.2_clip.shp TM_WORLD_BORDERS-0.2.shp -clipdst -179.999 -89.999 179.999 89.999

 the layer is added to the view without this error.

[1] http://www.mappinghacks.com/data/TM_WORLD_BORDERS-0.2.zip

Associated revisions
Revision 270 - 09/15/2014 10:27 AM - Joaquín  del Cerro Murciano

Fiz strErrNo crash. refs #2747

History
#1 - 07/30/2014 10:30 AM - Antonio Falciano

Consider that the second step described before is optional. The same error happens also when the view is defined in EPSG:3395 (WGS 84 / World
Mercator):

ERROR Thread-11 org.gvsig.crs.COperation - Can't operate over point orig (Point2D.Double[-179.99999999999997, -90.0]).
org.gvsig.crs.proj.OperationCrsException: Coordinate operation error: +proj=longlat +ellps=WGS84  to +proj=merc +lon_0=0.0 +k=1.0
+x_0=0.0 +y_0=0.0 +ellps=WGS84

It clearly depends by the area of application of the Mercator projection, i.e. World - between 80°S and 84°N.
IMHO it's necessary to handle this kind of exceptions, showing a warning message that says that the layer we are trying to add to the view is out of the
projection domain (area of use).

#2 - 07/31/2014 11:04 AM - Antonio Falciano

Further update: the same identical issue happens also with some WMTS layers, whose spatial extent overpass the limits.

#3 - 09/08/2014 09:12 AM - Francisco Díaz Carsí
- Assignee set to Francisco Díaz Carsí
- Status changed from New to Fixed

gvsig-jcrs:r264 Se ha añadido un parche para arreglar posible error al transformar de latlong a proyectadas cuando la y es +/- 90

#4 - 09/09/2014 04:50 AM - Antonio Falciano

Hi Francisco, I've compiled the latest revision of jCRS in order to test your patch and unfortunately it kills the JVM in Windows... In JNIBaseCRS.java
class there's an old comment that reports:

// **** Provisional: strErrNo tira la m�quina virtual en Windows. *****

Maybe this is the cause... Another good reason to update libjni-proj4 (#2806).

#5 - 09/09/2014 05:32 AM - Antonio Falciano
- File EPSG3395.PNG added
- File gvsig-jcrsr264_no_JVM_crash.patch added

Skipping all the error codes in the exceptions (see patch in attachment), the JVM doesn't crash anymore and the "Can't operate over point orig error"
error is fixed. However, there's a visualization issue with the same shp [1] (EPSG:4326) in a view defined in EPSG:3395 (screenshot in attachment).

#6 - 09/15/2014 07:21 AM - Álvaro Anguix
- gvSIG build changed from 2239 to 2246

Comprobado y sigue pasando en 2246.
En windows se cierra automáticamente gvSIG.
En linux aparece la imagen alargada que adjuntaba Antonio.

#7 - 09/15/2014 10:30 AM - Joaquín  del Cerro Murciano
- Target version set to 2.1.0-2259-rc3

#8 - 09/18/2014 11:11 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.1.0-2259-rc3 to 2.1.0-2247-testing

#9 - 09/19/2014 09:20 AM - Antonio Falciano
- Status changed from Fixed to Closed
Because the main issue is solved, I think that we can close this ticket. I have just opened another one about the visualization issue (#2827).

Files
gvSIG.log 350 KB 07/30/2014 Antonio Falciano
gvsig-jcrsr264_no_JVM_crash.patch 2.44 KB 09/09/2014 Antonio Falciano
EPSG3395.PNG 16.7 KB 09/09/2014 Antonio Falciano
